#ui-scripts/03.update-marking.sh: Auto Generated User Interface to AMC command line script: temp/amc-scripts/AMC-prepare.sh


source global-mill-settings.sh
source header.sh
source config/project-mill-settings.sh


xtra_options="--mode b"



write_log Start


#	AMC-prepare: auto generated script

#	SCRIPT:BEGIN

 	auto-multiple-choice prepare  $texsrc           \
${xtra_options}                                                                                                         \
--out-sujet $doc_sujet                                                                                       \
--out-corrige $doc_corrige                                                                                   \
--out-calage $doc_calage                                                                                     \
--prefix $cwd                                                                                                \
--with $latex_engine                                                                                             \
--filter latex                                                                                                   \
--debug ./$debug_log                                                                                                 \
--data $project_data_dir                                                                                          \


#	OPTIONS:END



#	OPTIONS:LIST:BEGIN

#           --out-sujet subject.pdf\
#           --out-corrige corrected.pdf\
#           --out-calage calage.xy\
#           --prefix directory\
#       --with latex-engine\
#       --filter filter\
#       --filtered-source mcq-latex-file\
#       --n-copies n\
#       --debug file.log\
#       --data project-data-dir\

#	OPTIONS:LIST:END

#	SYNOPSIS
#	auto-multiple-choice prepare  $texsrc           \
#	
#	auto-multiple-choice prepare  $texsrc           \
#	
#	DESCRIPTION
#	The AMC-prepare.pl command extracts working documents from the source file describing the multiple choice questionnaire. Information to be extracted
#	depends on the --mode argument value. In any mode, the source filename must be given as an argument.
#	
#	·   with --mode s, AMC-prepare.pl makes the subject file (answer sheet to be printed and given to the students), the correction (single corrected answer
#	sheet) and the positions file (file containing information about the positions of the boxes on the pages). The following arguments can be used:
#	
#	--out-sujet subject.pdf
#	sets the subject file to build.
#	
#	--out-corrige corrected.pdf
#	sets the correction to build.
#	
#	--out-calage calage.xy
#	sets the positions file to build.
#	
#	--prefix directory
#	this directory is only necessary if one or more of the three previous options are not used: default values are then directory/sujet.pdf,
#	directory/corrige.pdf and directory/calage.xy.
#	
#	·   with --mode b, AMC-prepare.pl extracts scoring data from the source file. In this mode, the --data argument must be used (see below).
#	
#	The following optional arguments can be used in any mode:
#	
#	--with latex-engine
#	gives the LaTeX engine (command) to be used.  latex-engine can be pdflatex or xelatex for example.
#	
#	--filter filter
#	sets the filter name to transform the MCQ source file into a LaTeX file. Native filters are latex (no change at all) and plain (source is an AMC-TXT
#	file).
#	
#	--filtered-source mcq-latex-file
#	gives the LaTeX file to make from the source file using specified filter. If omitted, a filename derived from mcq-source-file adding _filtered.tex is
#	used.
#	
#	--n-copies n
#	sets the number of copies to produce, overriding the number given in the LaTeX source file (first argument of the onecopy command).
#	
#	--debug file.log
#	gives a file to fill with debugging information.
#	
#	--data project-data-dir
#	sets the directory where the projects SQLite data files are.
#	
#	AUTHORS
write_log End

