#ui-scripts/06.get-images.sh: Auto Generated User Interface to AMC command line script: temp/amc-scripts/AMC-getimages.sh


source global-mill-settings.sh
source header.sh
source config/project-mill-settings.sh


xtra_options=""



write_log Start


#	AMC-getimages: auto generated script

#	SCRIPT:BEGIN

 	auto-multiple-choice getimages  rawscans/*     \
${xtra_options}                                                                                                         \
       --copy-to $project_scans_dir                                                                                      \
       --vector-density $vector_density                                                                                         \

#	OPTIONS:END



#	OPTIONS:LIST:BEGIN

#       --list list-file\
#       --copy-to project-scans-dir\
#       --vector-density density\

#	OPTIONS:LIST:END

#	SYNOPSIS
#	auto-multiple-choice getimages  rawscans/*     \
#	
#	DESCRIPTION
#	The AMC-getimages.pl command prepares scan files before sending them to AMC-analyse(1):
#	
#	·   multipage image files are split to get one file per page.
#	
#	·   vector images (such as PDF, EPS) are converted to bitmap images.
#	
#	The input images can be given either as arguments to AMC-getimages.pl, either as the name of a file which contains all the paths of the scan files.
#	
#	--list list-file
#	gives the name of the file that optionally contains (one per line) the paths of the scan files. This file will be cleared and filled with the paths of
#	the scan files after processing, so that the same path can be passed to AMC-analyse.pl as the --list-fichiers option value.
#	
#	--copy-to project-scans-dir
#	gives a directory where to copy all the scans files.
#	
#	--vector-density density
#	sets the density used to convert vector graphics scans to bitmap files. Defaults to 300.
#	
#	AUTHORS
write_log End

