#ui-scripts/08.compute-marks.sh: Auto Generated User Interface to AMC command line script: temp/amc-scripts/AMC-note.sh


source global-mill-settings.sh
source header.sh
source config/project-mill-settings.sh


xtra_options=""



write_log Start


#	AMC-note: auto generated script

#	SCRIPT:BEGIN

 	auto-multiple-choice note                                                                                             \
${xtra_options}                                                                                                         \
       --data $project_data_dir                                                                                          \
       --seuil $note_threshold                                                                                                \
       --seuil-up $note_upper_threshold                                                                                       \
       --grain $note_granularity 																													\
		 --arrondi $note_rounding                                                                           \
       --debug ./$debug_log                                                                                                 \

#	OPTIONS:END


 #      --notemin $note_min                                                                                                    \
 #      --notemax $note_max                                                                                                    \

#	OPTIONS:LIST:BEGIN

#       --data project-data-dir\
#       --seuil threshold\
#       --seuil-up upper_threshold\
#       --grain granularity --arrondi rounding\
#       --notemin min\
#       --notemax max\
#       --plafond\
#       --debug file.log\
#       --postcorrect-student s --postcorrect-copy c\

#	OPTIONS:LIST:END

#	SYNOPSIS
#	auto-multiple-choice note --data project-data-dir [--seuil threshold] [--grain granularity] [--arrondi rounding] [--notemin min] [--notemax max]
#	[--no-plafond | --plafond]
#	
#	DESCRIPTION
#	The AMC-note.pl command computes marks for all students from the scoring strategy extracted from the LaTeX source file by AMC-prepare(1) and from the data
#	capture reports made by AMC-analyse(1).
#	
#	--data project-data-dir
#	gives the directory where data files are (see for example AMC-meptex(1)).
#	
#	--seuil threshold
#	gives the black ratio threshold for deciding whether a box is ticked or not. When deciding whether a box is checked or not, AMC-note.pl compares the
#	black ratio (number of black pixels over total number of pixels) to threshold. If the black ratio is greater then threshold, the box is declared to be
#	checked. Standard values can be 0.15 in the standard layout, or 0.5 for separate answer sheet layout (in this last case, letters are drawn in the
#	boxes, and the students are told to fill the boxes entirely).
#	
#	--seuil-up upper_threshold
#	gives the black ratio threshold over which a box is considered as not beeing ticked. You can set this value to (for example) 0.6 to allow students to
#	cancel a ticked box filling it completely: if the black ratio is between threshold and upper_threshold, the box is considered as beeing ticked, but if
#	the black ratio is greater than upper_threshold (for example when the box is filled), the box is considered as not beeing ticked. The default value is
#	1.0, so that this feature is disabled.
#	
#	--grain granularity --arrondi rounding
#	ask marks to be rounded to a multiple of granularity. If rounding is i, rounding is done from below (as with floor(3)). If rounding is n, rounding
#	is done to the nearest multiple of granularity. If rounding is s, rounding is done from above (as with ceil(3)). For example, with options --grain
#	0.25 --arrondi s, mark 6.285 is rounded to 6.5.
#	
#	--notemin min
#	with this option, all marks below min will be replaced by min.
#	
#	--notemax max
#	gives the mark to associate to a sheet where all answers are correct. If not used, marks are not scaled.
#	
#	--plafond
#	with this option, all marks above max will be replaced by max.
#	
#	--debug file.log
#	gives a file to fill with debugging information.
#	
#	--postcorrect-student s --postcorrect-copy c
#	requests port-correction from the completed answer sheet identified by student and copy numbers. In post-correction mode, correct answers are not
#	extracted from the LaTeX source file, but taken from the answers given on this sheet.
#	
#	AUTHORS
write_log End

