
# global settings of options for amc-mill

cwd=$(pwd)     
debug_log='debug.log' 

texsrc="source.tex"

project_dir="$cwd"
project_data_dir="data"
project_scans_dir="scans"
project_cr_dir="cr"

doc_sujet="DOC-sujet.pdf" 
doc_corrige="DOC-corrige.pdf"
doc_calage="DOC-calage.xy"

# mainly AMC-prepare
latex_engine="pdflatex"

# for AMC-getimages
projects_scans_dir="scans"
vector_density="300"

# for AMC-analyse
analyse_bw_threshold="0.6"
analyse_proportion="0.8"
analyse_tol="0.25"

# for AMC-note
note_threshold="0.35"
note_upper_threshold="1.0"
note_granularity="0.01"
note_rounding="s"

# for AMC-association-auto
association_amc_code_id="rollno"
students_file="include/students.csv"
students_key="rollno"
students_name="name"


# for AMC-export
export_output_file="exports/export.csv"
export_sort_type="i"
export_all="1"

# for AMC-annotate
pdf_dir="cr/corrections/pdf"
annotate_compose_mode="2"
annotate_single_output="All_students.pdf"
annotate_sort="i"
annotate_filename_model="($students_key)"
annotate_embedded_maxsize=""
annotate_embedded_format="jpeg"
annotate_embedded_quality="100"
annotate_color="red"
annotate_fontsize="10"
annotate_verdict_header="$students_key:%($students_key)::Score:%S/%M::%($students_name)"
annotate_position="marge"
annotate_verdict_question="%s"
annotate_line_width="2.5"
annotate_symbols_definition="0-0:none,0-1:circle/red,1-0:circle/blue,1-1:circle/green"
annotate_dist_to_box="12mm"
annotate_dist_to_margin="8mm"
annotate_dist_to_margin_global="8mm"
